[email protected]
[Top] [All Lists]

Re: minimal classes needed to use JSVGCanvas in applet

Subject: Re: minimal classes needed to use JSVGCanvas in applet
From: "Helder Magalhães"
Date: Wed, 16 Jul 2008 08:52:41 +0100
>> Is there a lean distribution available with minimal functionality
>> defined for it?

AFAIK no/not yet! Would you provide one? ;-) I've been trying to
gather this kind of information and expect 1) to discuss it with Batik
developers and 2) possibly publish it in the Wiki [1] afterward. :-)
The only thing is that I don't have a notion of when will I be able to
do that... :-|

>    None provided by the project.  We do publish the jar file
> dependency list which might allow you to prune at that level.

In the meantime, based in the available dependency graph [2] (as
Thomas Deweese has pointed out), I suggest the following:

batik-parser.jar,batik-gvt.jar,batik-dom.jar, xerces_2_5_0.jar,

Each line is a row in the dependency graph, inverted order so that
dependencies get orderly downloaded.
Note that it assumes a somehow recent JRE (1.5+?) in order to leave
xalan out (the heaviest one).

I haven't yet found a place in the dependency graph for
"batik-anim.jar" (or "batik-codec.jar", but that's not required to
view SVG content). I recall a thread on the subject [2] but no
conclusion was reached. Could anyone suggest the order for these?

Hope this helps,

 Helder Magalhães

[1] http://wiki.apache.org/xmlgraphics-batik/
[2] http://xmlgraphics.apache.org/batik/install.html#dependencyGraph
[3] http://www.nabble.com/Jar-dependency-graph-td17002989.html#a17002989

To unsubscribe, e-mail: batik-users-unsubscribe@xxxxxxxxxxxxxxxxxxxxxx
For additional commands, e-mail: batik-users-help@xxxxxxxxxxxxxxxxxxxxxx

<Prev in Thread] Current Thread [Next in Thread>